Subject: [bug#31121] [PATCH 1/3] gnu: Add python2-urlgrabber

From: Marius Bakke <[email-masked]>
Date: Tue, 17 Apr 2018 01:13:22 +0200

Tomáš Čech <[email-masked]> writes:

>>> +    (description "URL grabber library unifying http://, ftp:// and file://
>>> +protocols access, supporting HTTP keepalive, reget, throttling and other
>>> +convenience features.")
>>
>>Please turn this into one or more complete sentences.
>>E.g. "@code{urlgrabber} is a Python library that unifies access to
>>...  It supports bla bla.".
>
> To be honest, this is always the most painful part for me. I'll try to come with something better.

Descriptions *are* difficult, especially for tools you are unfamiliar
with.  It does not help that upstream descriptions are often targeting a
highly specialized demographic, whereas we are catering for a much wider
audience.  I try to make them generic, and include some information
about why the user would want this package/how it's used.

Occasionally I'll browse the packages at gnu.org/s/guix for inspiration.
(or look at Debians description, but don't tell anyone)

Writing the code is comparatively easy :-)